summaryrefslogtreecommitdiff
path: root/Master
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2024-03-03 18:03:57 +0000
committerKarl Berry <karl@freefriends.org>2024-03-03 18:03:57 +0000
commite0e116a0702bff501db6faa8ad8f0bc26450cb40 (patch)
tree50f9601937e13c914c7341fcd4b541f02311cb5b /Master
parent8d3f96eca3a72915e1d157840204a31b28d0822f (diff)
no pruning for 2024
git-svn-id: svn://tug.org/texlive/trunk@70374 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-images27
1 files changed, 17 insertions, 10 deletions
diff --git a/Master/tlpkg/bin/tl-update-images b/Master/tlpkg/bin/tl-update-images
index bb111cbb5e1..4bb081cdbd1 100755
--- a/Master/tlpkg/bin/tl-update-images
+++ b/Master/tlpkg/bin/tl-update-images
@@ -126,15 +126,22 @@ MAKEINST ()
fi
cp -pr install-tl *.bat tlpkg $imgdir || exit 1
- # we also don't want the symlinks since we don't actually need them
- # and since we want to make Joliet images (though that format may not
- # be needed anymore). Every symlink provokes a warning from xorrisofs
- # under Joliet. But copy all the regular files, they are the basic thing.
+ # We don't want the symlinks since we don't need them and we want to
+ # make Joliet images (though that format may not be needed anymore).
+ # Every symlink provokes a warning from xorrisofs under Joliet. But
+ # copy all the regular files, they are the basic constitutents of TL.
archivedir=$imgdir/archive
mkdir $archivedir || exit 1
find archive -type l -prune -o -type f -print \
| xargs cp --target-directory=$archivedir || exit 1
+ if false; then
+ # Until 2024, we pruned some platforms away to make the image smaller.
+ # In 2024, we no longer made a physical DVD, so may as well include
+ # everything. Even a maximimally-pruned image is too large to fit on a
+ # single-layer DVD, so no benefit for the 2024 volunteer burners.
+ # More info: https://tug.org/texcollection.
+
# Save all tlpdb files before pruning platforms; these will be posted
# to historic later; see releng.txt.
preprune=$target/preprune-tlpdb
@@ -163,8 +170,9 @@ MAKEINST ()
|| exit 1
$master/tlpkg/bin/tl-sign-file $imgdir/tlpkg/texlive.tlpdb.sha512 \
|| exit 1
+ fi # false
- # some files we don't want in the image after all.
+ # A few of those files we don't want in the image.
rm -rf $imgdir/tlpkg/texlive.tlpdb.xz $imgdir/tlpkg/bin
# the actual iso creation.
@@ -180,12 +188,11 @@ MAKEINST ()
cd $target || exit 1
rm -rf $imgdir
- # since prune-platforms changes the tlpdb file, must remake checksums.
- # (before making the iso). redundantly remove files being created.
+ # make checksums after making the iso.
rm -f $prefix.iso.md5; md5sum `basename $iso` >$iso.md5 || exit 1
rm -f $prefix.iso.sha512; sha512sum `basename $iso` >$iso.sha512 || exit 1
- # for md5 and sha512, adjust the embedded filename for generic files.
+ # in the checksum files, adjust the embedded filename for generic names.
rm -f $prefix.iso.md5; sed "s,-$D,," $iso.md5 >$prefix.iso.md5
rm -f $prefix.iso.sha512; sed "s,-$D,," $iso.sha512 >$prefix.iso.sha512
@@ -318,8 +325,8 @@ MAKETAR ()
# Add our exact version to the release file. Ensure a line of its own,
# although a blank line should already be there.
rm -f $release_savefile
-cp $release_livefile $release_savefile
-printf "\ntexlive-$D\n" >>$release_livefile
+cp $release_livefile $release_savefile || exit 1
+printf "\ntexlive-$D\n" >>$release_livefile || exit 1
$makeinst && MAKEINST
$maketar && MAKETAR